import { getStocks } from "@queries/PSA";
import { psa } from '@db/schema/Psa';
import partTypes from 'src/data/parts_cats.json';
import styles from '../styles.module.css';
import PageHero from "@src/components/PageHero";
import ProductTable from "@src/components/ProductTable";
import SortTable from "@src/components/SortTable";

export default async function StocksPage() {
  const psa = await getStocks();

  return (
    <div>
      <PageHero title="Stocks" />
      <div className="container mx-auto">
       <SortTable data={psa}></SortTable>
      </div>
    </div>
  );
}